Bug 1789533 (CVE-2020-5312) - CVE-2020-5312 python-pillow: improperly restricted operations on memory buffer in libImaging/PcxDecode.c
Summary: CVE-2020-5312 python-pillow: improperly restricted operations on memory buffe...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-5312
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1799359 1789541 1789542 1799353 1799354 1799355 1799356 1799357
Blocks: 1789544
TreeView+ depends on / blocked
 
Reported: 2020-01-09 18:50 UTC by Pedro Sampaio
Modified: 2020-03-18 16:41 UTC (History)
19 users (show)

Fixed In Version: python-pillow 6.2.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was discovered in python-pillow does where it does not properly restrict operations within the bounds of a memory buffer when decoding PCX images. An application that uses python-pillow to decode untrusted images may be vulnerable to this flaw, which can allow an attacker to crash the application or potentially execute code on the system.
Clone Of:
Environment:
Last Closed: 2020-02-21 03:49:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:0566 None None None 2020-02-20 22:16:48 UTC
Red Hat Product Errata RHSA-2020:0578 None None None 2020-02-24 13:30:05 UTC
Red Hat Product Errata RHSA-2020:0580 None None None 2020-02-24 12:56:47 UTC
Red Hat Product Errata RHSA-2020:0898 None None None 2020-03-18 16:41:38 UTC

Internal Links: 1807387

Description Pedro Sampaio 2020-01-09 18:50:52 UTC
libImaging/PcxDecode.c in Pillow before 6.2.2 has an PCX P mode buffer overflow.

Upstream patch:

https://github.com/python-pillow/Pillow/commit/93b22b846e0269ee9594ff71a72bec02d2bea8fd

References:

https://pillow.readthedocs.io/en/stable/releasenotes/6.2.2.html

Comment 1 Pedro Sampaio 2020-01-09 19:04:37 UTC
Created python-pillow tracking bugs for this issue:

Affects: fedora-all [bug 1789541]


Created python3-pillow tracking bugs for this issue:

Affects: epel-7 [bug 1789542]

Comment 2 Jason Shepherd 2020-01-10 02:23:29 UTC
While Red Hat Quay includes the python-pillow it's not used, therefore this issue is rated moderate for Red Hat Quay.

Comment 6 errata-xmlrpc 2020-02-20 22:16:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:0566 https://access.redhat.com/errata/RHSA-2020:0566

Comment 7 Product Security DevOps Team 2020-02-21 03:49:41 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-5312

Comment 8 errata-xmlrpc 2020-02-24 12:56:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0580 https://access.redhat.com/errata/RHSA-2020:0580

Comment 9 errata-xmlrpc 2020-02-24 13:30:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:0578 https://access.redhat.com/errata/RHSA-2020:0578

Comment 13 errata-xmlrpc 2020-03-18 16:41:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:0898 https://access.redhat.com/errata/RHSA-2020:0898


Note You need to log in before you can comment on or make changes to this bug.